#!/bin/bash

if [ `whoami` != 'root' ]; then
	echo "You must be root to run this"
	exit
fi
if [ $# -eq 0 ]; then
	echo "Please provide the path of u-boot binary"
	echo "Usage - ./runme.sh <u-boot path>"
	exit
fi

cp $1 openocd/uboot.bin 

echo " ****     Preparing environment variables file ..."
touch uboot-env.bin
# Update environment variable file image
grep -v "#" ./openocd/uboot-dflt.txt | while read ; do ./openocd/fw_setenv $REPLY ; done >& /dev/null
grep -v "#" ./openocd/uboot-custom.txt | while read ; do ./openocd/fw_setenv $REPLY ; done >& /dev/null
mv uboot-env.bin ./openocd/

echo " ****	Burning uboot and environment variables ... This will take few minutes ..."
# Burn u-boot environment variables first, then u-boot
./openocd/openocd -f ./board/guruplug.cfg  -s ./openocd -c init -c guruplug_reflash_uboot  -c guruplug_reflash_uboot_env -c exit

if [ $? != 0 ]; then
	echo ""
	echo " ****	openocd FAILED"
	echo " ****	Is the mini USB cable connected?"
	echo " ****	Try powering down, then replugging the Sheevaplug"
	exit
fi

cd ..
rm -f openocd/uboot.bin
rm -f openocd/uboot-env.bin
echo " ****	U-boot should be up and running now. Open your console ..."
